package com.cf.imes.module.system.api.permission.dto;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

/**
 * {@link com.cf.imes.module.system.api.permission.dto.DeptDataPermissionRespDTO} 的单元测试
 *
 * @author Gqr
 * @since 2025/12/12 9:47
 */
public class DeptDataPermissionRespDTOTest {
    @Test
    void test() {
        DeptDataPermissionRespDTO deptDataPermissionRespDTO = new DeptDataPermissionRespDTO();
        assertEquals(deptDataPermissionRespDTO.getAll(), false);
        assertEquals(deptDataPermissionRespDTO.getSelf(), false);
        assertEquals(deptDataPermissionRespDTO.getDeptIds().size(), 0);
    }
}
